- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgSim::AzimSector Class Reference

Inheritance diagram for osgSim::AzimSector:

[legend]
List of all members.

## Public Member Functions
| AzimSector ()
| AzimSector (const AzimSector &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| AzimSector (float minAzimuth, float maxAzimuth, float fadeAngle=0.0f)
| META_Object (osgSim, AzimSector)
virtual float | operator() (const osg::Vec3 &eyeLocal) const
## Protected Member Functions
virtual | ~AzimSector ()

## Constructor & Destructor Documentation

osgSim::AzimSector::AzimSector | ( |  | ) | `[inline]`

osgSim::AzimSector::AzimSector | ( | const AzimSector & | copy,
|  | const osg::CopyOp & | copyop = `osg::CopyOp::SHALLOW_COPY`
| ) | `[inline]`

AzimSector::AzimSector | ( | float | minAzimuth,
|  | float | maxAzimuth,
|  | float | fadeAngle = `0.0f`
| ) |

virtual osgSim::AzimSector::~AzimSector | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

osgSim::AzimSector::META_Object | ( | osgSim | ,
|  | AzimSector |
| ) |

float AzimSector::operator() | ( | const osg::Vec3 & | eyeLocal | ) | const`[virtual]`

| Implements osgSim::Sector.

The documentation for this class was generated from the following files:

- Sector
- Sector.cpp